Subject: bug#44935: Emacs inserts hardwired org-agenda-files variable, overwriting user options

From: [email-masked]
Date: Sun, 29 Nov 2020 19:08:24 +0100

> Sent: Sunday, November 29, 2020 at 6:22 PM
> From: "Jean Louis" <[email-masked]>
> To: [email-masked]
> Cc: "Eli Zaretskii" <[email-masked]>, [email-masked]
> Subject: Re: bug#44935: Emacs inserts hardwired org-agenda-files variable, overwriting user options
>
> * [email-masked] <[email-masked]> [2020-11-29 20:02]:
> > Correct, everything tells you it is part of Emacs.  Then one sends a report and people
> > start sending in in a long winded road to find the appropriate
> > channel.
>
> We can consider those features of reporting bugs still in
> development. I never knew since recently that there are various
> reporting bug functions. You can discover it easier by using
> completion such as ivy package.

Still in development?  How much thinking do people have to do
for this.  I can make 34 mailing lists in a few hours!

> There is:
>
> - report-calc-bug
> - calc-report-bug
> - c-submit-bug-report
> - TeX-submit-bug-report
> - org and Emacs maybe others
>
> > You look at "Emacs Asking for help" and "Emacs Reporting bugs" and you get only two things
> > [email-masked] and [email-masked].  Have been following discussions here
> > and people herd together telling others they are doing everything backwards. And insisting
> > everything is fine, makes serious people not happy at all.  I do not want to hurt anyone,
> > but there exists a wall between maintainers and users who basically use Gnu Tools to do
> > something else.
>
> Users could assign to themselves specific level such as Beginner,
> Intermediate, Advance and God.
>
> Beginner would be welcomed to submit bugs and kindly explained that
> there exists specialized mailing list with more people able to help
> it.
>
> Intermediate user would be simply told to go somewhere else.
>
> Advanced user would be anyway submitting patches and be active in
> Emacs development, so there would be no problem with this level.
>
> God would never tell anything to anybody just as what is usual that
> God does, I guess M-x something...
>
>